package net.sf.jdatabaseimport;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.util.List;

public class Exporter {

	private final Connection from;

	private final Connection to;

	public Exporter(ConnectionInfo from, ConnectionInfo to)
			throws ClassNotFoundException, SQLException {
		this.from = getConnection(from);
		this.to = getConnection(to);
	}

	public void importTables(String... tables) throws ClassNotFoundException,
			SQLException {
		for (String table : tables) {
			importTable(new Table(table));
		}
	}

	public void importTable(Table table) throws SQLException {
		to.setAutoCommit(false);
		table.clear(to);
		table.send(from, to);
		to.commit();
	}

	private Connection getConnection(ConnectionInfo info)
			throws ClassNotFoundException, SQLException {
		Class.forName(info.getDriver());
		return DriverManager.getConnection(info.getUrl(), info.getUsername(),
				info.getPassword());
	}

	public void importTable(List<Table> tables) throws SQLException {
		for (Table table : tables) {
			importTable(table);
		}
	}

}
