package net.sf.jdatabaseimport;

import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.sql.SQLException;

import com.thoughtworks.xstream.XStream;

public class Main {

	public static void main(String[] args) throws ClassNotFoundException,
			SQLException, IOException {

		if (args.length != 1) {
			System.out
					.println("You should pass the configuration filename as a parameter to this program");
			return;
		}

		FileInputStream fis = new FileInputStream(args[0]);

		exportFromConfiguration(fis);

		fis.close();

	}

	public static void exportFromConfiguration(InputStream fis)
			throws IOException, ClassNotFoundException, SQLException {
		XStream stream = new XStream();
		stream.alias("table", Table.class);
		stream.alias("export", ExportInfo.class);
		stream.addImplicitCollection(ExportInfo.class, "tables");
		stream.registerConverter(new TableConverter());

		ExportInfo info = (ExportInfo) stream
				.fromXML(new InputStreamReader(fis));

		System.out.println("ATTENTION! Press any key to clear tables "
				+ info.getTo().getUrl() + "...");
		System.in.read();

		Exporter ex = new Exporter(info.getFrom(), info.getTo());
		ex.importTable(info.getTables());
	}
}
